<?php

if(!defined('_MYSQL_ENGINE_')){
	define(_MYSQL_ENGINE_,'MyISAM');
}

Db::getInstance()->Execute("
			CREATE TABLE IF NOT EXISTS `"._DB_PREFIX_."press_categories` (
			  `id_press_publication` int(10) unsigned NOT NULL,
			  `id_press_category` int(10) unsigned NOT NULL,
			  PRIMARY KEY  (`id_press_publication`,`id_press_category`),
			  KEY `id_prestapress` (`id_press_publication`)
			) ENGINE="._MYSQL_ENGINE_." DEFAULT CHARSET=utf8;");
			
Db::getInstance()->Execute("
			CREATE TABLE IF NOT EXISTS `"._DB_PREFIX_."press_category` (
			  `id_press_category` int(10) NOT NULL auto_increment,
			  `active` tinyint(1) unsigned NOT NULL,
			  `position` int(10) unsigned DEFAULT NULL,
			  PRIMARY KEY  (`id_press_category`)
			) ENGINE="._MYSQL_ENGINE_."  DEFAULT CHARSET=utf8;");
			
Db::getInstance()->Execute("
			CREATE TABLE IF NOT EXISTS `"._DB_PREFIX_."press_category_lang` (
			  `id_press_category` int(10) NOT NULL,
			  `id_lang` int(10) NOT NULL,
			  `name` varchar(255) NOT NULL,
			  `content` text,
			  `link_rewrite` varchar(128) DEFAULT NULL,
			  `meta_keywords` varchar(255) DEFAULT NULL,
  			  `meta_description` varchar(255) DEFAULT NULL,
			  UNIQUE KEY `id_prestapress_category` (`id_press_category`,`id_lang`)
			) ENGINE="._MYSQL_ENGINE_." DEFAULT CHARSET=utf8;");
			
Db::getInstance()->Execute("
			CREATE TABLE IF NOT EXISTS `"._DB_PREFIX_."press_image` (
			  `id_press_image` int(10) NOT NULL auto_increment,
			  `id_press_publication` int(10) NOT NULL,
			  `type` varchar(12) NOT NULL,
			  `default` tinyint(1) NOT NULL default '0',
			  PRIMARY KEY  (`id_press_image`)
			) ENGINE="._MYSQL_ENGINE_."  DEFAULT CHARSET=utf8;");
			
Db::getInstance()->Execute("
			CREATE TABLE IF NOT EXISTS `"._DB_PREFIX_."press_products` (
			  `id_press_publication` int(10) unsigned NOT NULL,
			  `id_product` int(10) unsigned NOT NULL,
			  `position` tinyint(4) NOT NULL default '1',
			  PRIMARY KEY  (`id_press_publication`,`id_product`)
			) ENGINE="._MYSQL_ENGINE_." DEFAULT CHARSET=utf8;");
			
Db::getInstance()->Execute("
			CREATE TABLE IF NOT EXISTS `"._DB_PREFIX_."press_publication` (
			  `id_press_publication` int(10) NOT NULL auto_increment,
			  `date_on` date default NULL,
			  `status` enum('published','drafted','suspended') default NULL,
			  PRIMARY KEY  (`id_press_publication`)
			) ENGINE="._MYSQL_ENGINE_."  DEFAULT CHARSET=utf8;");
			
Db::getInstance()->Execute("
			CREATE TABLE IF NOT EXISTS `"._DB_PREFIX_."press_publication_lang` (
			  `id_lang` int(10) NOT NULL,
			  `id_press_publication` int(10) NOT NULL,
			  `title` varchar(255) NOT NULL,
			  `content` text NOT NULL,
			  `excerpt` text,
			  `link_rewrite` varchar(128) DEFAULT NULL,
			  `meta_keywords` varchar(255) DEFAULT NULL,
			  `meta_description` text,
			  UNIQUE KEY `prestapress_lang_index` (`id_lang`,`id_press_publication`)
			) ENGINE="._MYSQL_ENGINE_." DEFAULT CHARSET=utf8;");
		
Db::getInstance()->Execute("
			CREATE TABLE IF NOT EXISTS `"._DB_PREFIX_."press_related` (
							  `id_press_publication` int(10) unsigned NOT NULL,
							  `id_related_press_publication` int(10) unsigned NOT NULL
							) ENGINE="._MYSQL_ENGINE_." DEFAULT CHARSET=utf8");

?>