
{if isset($fancybox) && $fancybox == true}
{literal}
<script type="text/javascript">
<!--
$(document).ready(function(){
	$('.thickbox').fancybox({
		'hideOnContentClick': true,
		'transitionIn'	: 'elastic',
		'transitionOut'	: 'elastic'
	});
});
//-->
</script>
{/literal}
{/if}

<div class="breadcrumb">
	<a title="{l s='Back home' mod='prestapress'}" href="{$base_dir_ssl}">{l s='Home' mod='prestapress'}</a><span class="navigation-pipe">&gt;</span><span class="navigation_end"><a href="{$listLink}">{l s='Articles' mod='prestapress'}</a></span> &gt; {$publication->title}
</div>

<h2>{$publication->title} {if $press_conf.view_display_date}<span>{dateFormat date=$publication->date_on|escape:'html':'UTF-8' full=0}</span> {/if}</h2> 

{if $publication->status == 'published'}

<div id="prestapress-view">

<div class="prestapress-content rte">

{if $press_conf.display_img == 'gallery'}
	
    {if $images || $publication->default_img}
        <div class="medias" style="width:{$img_width+2}px;">
            <div class="media_main">
            {if $press_conf.view_display_popin}<a href="{$base_dir_ssl}{$press_conf.img_save_path}{$publication->id}/{$publication->default_img.id_press_image}.{$publication->default_img.type}" rel="article" class="thickbox">{/if}
            <img src="{$base_dir_ssl}{$press_conf.img_save_path}timthumb.php?src={$img_path}{$publication->default_img.id_press_image}.{$publication->default_img.type}&w={$img_width}" alt="{$publication->title}" />
            {if $press_conf.view_display_popin}</a>{/if}
            </div>
           {if $images}
            <div class="media_thumbs">
                <ul>
                    {foreach from=$images item=img name=images}
                    <li>
                    {if $press_conf.view_display_popin}<a href="{$base_dir_ssl}{$press_conf.img_save_path}{$publication->id}/{$img.id_press_image}.{$img.type}" rel="article" class="thickbox">{/if}
                    <img src="{$base_dir_ssl}{$press_conf.img_save_path}timthumb.php?src={$img_path}{$img.id_press_image}.{$img.type}&w=60&h=60" />
                    {if $press_conf.view_display_popin}</a>{/if}
                    </li>
                    {/foreach}
                </ul>
                <div class="clear"></div>
            </div>
           {/if}
         </div>
    {/if}
    
    {$publication->content}
    
{elseif $press_conf.display_img == 'list'}
    
    {if $images || $publication->default_img}
    <div class="medias">
  	    <div class="media_list">
            <ul>
            	{if $publication->default_img}
                <li> 
                {if $press_conf.view_display_popin}<a href="{$base_dir_ssl}{$press_conf.img_save_path}{$publication->id}/{$publication->default_img.id_press_image}.{$publication->default_img.type}" rel="article" class="thickbox">{/if}
                <img src="{$base_dir_ssl}{$press_conf.img_save_path}timthumb.php?src={$img_path}{$publication->default_img.id_press_image}.{$publication->default_img.type}&w={$img_width}" alt="{$publication->title}" />
    			{if $press_conf.view_display_popin}</a>{/if}
                </li>
                {/if}
                
                {if $images}
                {foreach from=$images item=img name=images}
                <li>{if $press_conf.view_display_popin}<a href="{$base_dir_ssl}{$press_conf.img_save_path}{$publication->id}/{$img.id_press_image}.{$img.type}" rel="article" class="thickbox">{/if}<img src="{$base_dir_ssl}{$press_conf.img_save_path}timthumb.php?src={$img_path}{$img.id_press_image}.{$img.type}&w={$img_width}" />{if $press_conf.view_display_popin}</a>{/if}</li>
                {/foreach}
                {/if}
            </ul>
            <div class="clear"></div>
        </div>
    </div>
    {/if}
    
    {$publication->content}
    
{/if}

</div>

<div class="clear"></div>

{if $press_conf.category_active && $press_categories|@count > 0}
    <div class="categories">
        <ul>
            <li><strong> {l s='Posted on' mod='prestapress'}</strong></li>
            {foreach from=$press_categories item=category name=category_list}
            <li><a href="{$category.link}" title="{$category.name}">{$category.name}</a>{if !$smarty.foreach.category_list.last},{/if}</li>
            {/foreach}
        </ul>
        <div class="clear"></div>
    </div>
{/if}


{if $press_conf.share_active}
<!-- AddThis Button BEGIN -->
<div class="addthis_toolbox addthis_default_style ">
  <a class="addthis_button_compact"></a>
  <a class="addthis_button_facebook"></a>
  <a class="addthis_button_twitter"></a>
  <a class="addthis_button_email"></a>
  <a class="addthis_button_google_plusone"></a>
</div>
<script type="text/javascript" src="http://s7.addthis.com/js/250/addthis_widget.js#pubid=xa-4debecd65fac86f2"></script>
<!-- AddThis Button END -->
{/if}

{if $press_conf.related_active && $related|@count > 0}
<div class="related">
	<h2>{l s='Related articles' mod='prestapress'}</h2>
	<ul>
		{foreach from=$related item=related_post name=related_list}
			<li><a href="{$related_post.link}">{$related_post.title}</a></li>
		{/foreach}
	</ul>
</div>
{/if}

{if $press_conf.product_active}
    {if $products|@count > 0}
    <div class="products">
        <h2>{l s='Article related products' mod='prestapress'}</h2>
        <div class="block products_block accessories_block clearfix">
			<div class="block_content">
			<ul>
			{foreach from=$products item=accessory name=accessories_list}
			{assign var='accessoryLink' value=$link->getProductLink($accessory.id_product, $accessory.link_rewrite, $accessory.category)}
			<li class="ajax_block_product {if $smarty.foreach.accessories_list.first}first_item{elseif $smarty.foreach.accessories_list.last}last_item{else}item{/if} product_accessories_description">
				<h5><a href="{$accessoryLink|escape:'htmlall':'UTF-8'}">{$accessory.name|truncate:22:'...':true|escape:'htmlall':'UTF-8'}</a></h5>
				<div class="product_desc">
					<a href="{$accessoryLink|escape:'htmlall':'UTF-8'}" title="{$accessory.legend|escape:'htmlall':'UTF-8'}" class="product_image"><img src="{$link->getImageLink($accessory.link_rewrite, $accessory.id_image, 'medium')}" alt="{$accessory.legend|escape:'htmlall':'UTF-8'}" /></a>
					<a href="{$accessoryLink|escape:'htmlall':'UTF-8'}" title="{l s='More'}" class="product_description">{$accessory.description_short|strip_tags|truncate:55:'...'}</a>
				</div>
				{if $psversion == 13}
			      <p class="product_accessories_price">
                     <span class="price">{displayWtPrice p=$accessory.price}</span>
                     <a class="button" href="{$accessoryLink|escape:'htmlall':'UTF-8'}" title="{l s='View' mod='prestapress'}">{l s='View' mod='prestapress'}</a>
                     <a class="exclusive button ajax_add_to_cart_button" href="{$base_dir_ssl}cart.php?qty=1&amp;id_product={$accessory.id_product|intval}&amp;token={$static_token}&amp;add" rel="ajax_id_product_{$accessory.id_product|intval}" title="{l s='Add to cart' mod='prestapress'}">{l s='Add to cart' mod='prestapress'}</a>
                  </p>
				{else}
				 <p class="product_accessories_price">
					{if $accessory.show_price AND !isset($restricted_country_mode) AND !$PS_CATALOG_MODE}<span class="price">{if $priceDisplay != 1}{displayWtPrice p=$accessory.price}{else}{displayWtPrice p=$accessory.price_tax_exc}{/if}</span>{/if}
					<a class="button" href="{$accessoryLink|escape:'htmlall':'UTF-8'}" title="{l s='View'}">{l s='View'}</a>
					{if $accessory.available_for_order AND !isset($restricted_country_mode) AND !$PS_CATALOG_MODE}<a class="exclusive button ajax_add_to_cart_button" href="{$link->getPageLink('cart.php')}?qty=1&amp;id_product={$accessory.id_product|intval}&amp;token={$static_token}&amp;add" rel="ajax_id_product_{$accessory.id_product|intval}" title="{l s='Add to cart'}">{l s='Add to cart'}</a>{/if}
				 </p>
				{/if}
			</li>
			{/foreach}
			</ul>
			</div>
        </div>
        <div class="clear"></div>
       </div>
    {/if}
{/if}

</div>

{else}
	
    {l s='This Article is no longer available' mod='prestapress'}
    
{/if}