
<div class="breadcrumb">
	<a title="{l s='Back home' mod='prestapress'}" href="{$base_dir_ssl}">{l s='Home' mod='prestapress'}</a><span class="navigation-pipe">&gt;</span><span class="navigation_end"><a title="{l s='All articles' mod='prestapress'}" href="{$listLink}">{l s='Articles' mod='prestapress'}</a></span> 
    {if isset($category)}&gt; {l s='Category' mod='prestapress'} "{$category->name}" {/if}
</div>

{if isset($category)}
	<h2>{l s='Articles' mod='prestapress'} "{$category->name}"</h2>
	<div class="rte">{$category->content}</div>
{else}
	<h2>{l s='Articles' mod='prestapress'}</h2>
{/if}

{if isset($press_query)}
	{if $press_list|@count > 0 && $press_list}
		<h3>{l s='Results for' mod='prestapress'} "{$press_query}"</h3>
	{/if}
{/if}

<div id="publication_list">

{if $press_list|@count > 0 && $press_list}
<ul>
{foreach from=$press_list item=publication name=publications}
<li>
	{if $publication.default_img}
	<div class="img_default">
    <a href="{$publication.link}" title="{$publication.title}">
    <img src="{$base_dir_ssl}{$press_conf.img_save_path}timthumb.php?src={$img_path}{$publication.id_press_publication}/{$publication.default_img}.{$publication.default_img_type}&w={$press_conf.img_list_width}" alt="{$publication.title}" />
    </a>
    </div>
    {/if}
    <div class="{if $publication.default_img} detail_left {else} detail_large {/if}">
        <h3><a href="{$publication.link}" title="{$publication.title}">{$publication.title}</a></h3>  
        {if $press_conf.list_display_date}<span>{dateFormat date=$publication.date_on|escape:'html':'UTF-8' full=0}</span>{/if}
        <div class="excerpt">{$publication.excerpt}</div>
        
       {if $press_conf.category_active && isset($publication.categories) && $publication.categories|@count > 0}
        <span>{l s='Posted on' mod='prestapress'} 
  			{foreach from=$publication.categories item=press_category name=press_category_list}
   				<a href="{$press_category.link}" title="{$press_category.name}">{$press_category.name}</a>{if !$smarty.foreach.press_category_list.last},{/if}
   			{/foreach}	
        </span>
        {/if}
        
    </div>
    <div class="clear"></div>
</li>
{/foreach}
</ul>

{if isset($paginationLink)}
	{if $back}<a class="bt_right" href="{$paginationLink}{$curr_page+1}">{l s='Previous articles' mod='prestapress'} &raquo;</a>&nbsp;&nbsp;&nbsp;{/if}
	{if $next}<a class="bt_left" href="{$paginationLink}{$curr_page-1}">&laquo; {l s='Newest Articles' mod='prestapress'}</a>{/if}
{/if}

<div class="clear"></div>

{else}
	{if isset($press_query)}
		<p class="warning">{l s='No results for' mod='prestapress'} "{$press_query}"</p>
	{elseif isset($category)}
		<p>{l s='There is no articles in this category' mod='prestapress'}</p>
	{else}
		<p>{l s='There is no articles' mod='prestapress'}</p>
	{/if}
{/if}

</div>